shishi_cfg_authorizationtype_set(3)

NAME
shishi_cfg_authorizationtype_set - API function

SYNOPSIS
#include <shishi.h>

int shishi_cfg_authorizationtype_set(Shishi * handle, char * value);

ARGUMENTS

Shishi * handle
    Shishi library handle create by shishi_init().

char * value
    string with authorization types.

DESCRIPTION
Set the "authorization-types" configuration option from given string. The string contains authorization types (integer or names) separated by comma or whitespace, e.g. "basic k5login".

RETURN VALUE
Return SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.